Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.client.html.standard
Class StartupServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.neoworks.jukex.client.html.standard.StartupServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class StartupServlet
extends javax.servlet.GenericServlet

Startup servlet for JukeX. This servlet is invoked on startup and initialises various services.

Author:
  Nigel Atkinson (nigel@neoworks.com)
See Also:
  Serialized Form

Constructor Summary
`StartupServlet()`

Method Summary
`void` | `init(javax.servlet.ServletConfig config)` Initialise the servlet (called at start up).
`void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Service a request.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartupServlet

    public StartupServlet()

Method Detail

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)

  Service a request. (This is a noop.)

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Specified by:
    `service` in class `javax.servlet.GenericServlet`
  Parameters:
    `req` - The request
    `res` - The response

### init

    public void init(javax.servlet.ServletConfig config)

  Initialise the servlet (called at start up).

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` - The servlet configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD